<?php

namespace App\Http\Middleware;

use App\libs\Response\GlobalApiResponse;
use App\libs\Response\GlobalApiResponseCodeBook;
use Closure;
use Illuminate\Support\Facades\Auth;

class VerifyJwtTokenPresent
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @param  string|null  $guard
     * @return mixed
     */
    public function handle($request, Closure $next, $guard = null)
    {
        if (!Auth::guard($guard)->check()) {
            return response((new GlobalApiResponse())->error(GlobalApiResponseCodeBook::NOT_LOGGED_IN,"User not logged in"));
        }

        return $next($request);
    }
}
